package com.yaohun.mcbot.event;

import com.yaohun.mcbot.data.BotFriend;
import com.yaohun.mcbot.data.BotGroup;
import net.md_5.bungee.api.plugin.Event;

public class BotFriendMessageEvent extends Event {

    private long botId;

    private long senderId;

    private String senderName;

    private String message;

    private BotFriend botFriend;

    public BotFriendMessageEvent(long botId, long senderId, String senderName, String message, BotFriend botFriend) {
        this.botId = botId;
        this.senderId = senderId;
        this.senderName = senderName;
        this.message = message;
        this.botFriend = botFriend;
    }

    public long getBotId() {
        return botId;
    }

    public long getSenderId() {
        return senderId;
    }

    public String getSenderName() {
        return senderName;
    }

    public String getMessage() {
        return message;
    }

    public BotFriend getBotFriend() {
        return botFriend;
    }
}
